

import { RouteRecordRaw } from "vue-router";
export const Layout = () => import("@/components/layout/layout.vue");
export const staticRouter: RouteRecordRaw[] =
    [
        {
            path: "/",
            name: "/",
            component: Layout,
            redirect: "/dashboard",
            children: []
        },
        {

            path: '',
            name: 'dashboard',
            redirect: '/index',
            meta: {
                title: '首页',
                keepalive: true
            },
            component: Layout,
            children: [
                {

                    path: '/index',
                    name: 'index',
                    meta: {
                        title: '首页',
                        keepalive: true
                    },
                    component: () => import('@/views/dashboard/index.vue')
                },


            ]
        },

        {

            path: '',
            name: 'register',
            meta: {
                title: '注册',
                keepalive: true
            },
            component: Layout,
            children: [
                {
                    path: '/register',  // 这里使用相对路径而不是 '/register'
                    name: '',
                    meta: {
                        title: '注册',
                        keepalive: true
                    },
                    component: () => import('@/views/register.vue')
                },
            ]
        },
        {
            //登录页面
            path: '/login',
            name: 'login',
            meta: {
                // title: '登录',
                // keepalive: true
            },
            component: () => import('@/views/login.vue')
        },
        {
            //登录页面
            path: '/register-index',
            name: 'register-index',
            meta: {
                // title: '注册',
            },
            component: () => import('@/views/register.vue')
        },

    ]



