package com.changhu.controller;

import com.changhu.common.annotation.JsonBody;
import com.changhu.common.pojo.vo.TokenInfo;
import com.changhu.pojo.params.LoginParams;
import com.changhu.service.LoginService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @author 20252
 * @createTime 2024/8/28 下午5:12
 * @desc LoginController...
 */
@JsonBody
public class LoginController {

    @Autowired
    private LoginService loginService;

    @PostMapping("/login")
    public TokenInfo login(@RequestBody LoginParams loginParams) {
        return loginService.login(loginParams);
    }
}
